Jivox API Documentation
v1.0
GenAI & Template Generation
Title
Message
Create new category
What is the title of your new category?
Edit page index title
What is the title of the page index?
Edit category
What is the new title of your category?
Edit link
What is the new title and URL of your link?
Media Plans
Copy Markdown
Open in ChatGPT
Open in Claude
The various methods for Media Plans are listed below:
- Media Plan Listing
- Media Plan Details
- Media Plan Create
- Media Plan Update
- Media Plan Delete
- DSP Listing
- Ad Dimensions Listing
Media Plan Listing
This will list all the retail media plans for the account.
Parameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | string | Mandatory | path | ID of the advertiser account created on the platform. |
Sample Request
HTTP
GET http://demo.stub.api.jivox.com/v2/accounts/<accountId>/media-plans?isRetail=trueSample Response
JSON
{ "mediaPlans": [ { "bulkTagGenStatus": "notstarted", "dcmCampaignId": 0, "executionId": -1, "externalPlacementExists": false, "hasTags": false, "id": 1877, "mediaPlanId": 1877, "mediaPlanName": "test media plan", "dspCampaignId": 123, "dspName": "DSP 1", "retailCampaignStatus": "NEW", "retailCampaignName": "New Campaign" } ], "next": "", "previous": "", "totalcount": "1"}Media Plan Details
This will fetch details for a specific retail media plan.
Parameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | string | Mandatory | path | ID of the advertiser account created on the platform. |
| mediaPlanId | string | Mandatory | path | ID of the media plan associated with a given user account. |
Sample Request
HTTP
GET http://demo.stub.api.jivox.com/v2/accounts/<accountId>/media-plans/<mediaPlanId>Sample Response
JSON
{ "mediaPlanId": 1877, "mediaPlanName": "test media plan", "dspCampaignId": 123, "dspName": "DSP 1", "retailCampaignStatus": "NEW", "sites": [ { "id": 9768, "placements": [ { "isEditable": false, "placementId": "1992c04", "placementName": "p1", "placementDimension": "300x600", "externalPlacementId": "asd123fg" }, { "isEditable": false, "placementId": "d295de8", "placementName": "p2", "placementDimension": "320x50", "externalPlacementId": "asd1f3fg" }, { "isEditable": false, "placementId": "bb9fa73", "placementName": "p3", "placementDimension": "160x600", "externalPlacementId": "asd123fh" } ], "siteId": 9768, "siteName": "DBM" } ]}Media Plan Create
This will create a retail media plan.
Parameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | string | Mandatory | path | ID of the advertiser account created on the platform. |
Sample Request
HTTP
POST http://demo.stub.api.jivox.com/v2/accounts/<accountId>/media-plansRequest Body
JSON
{ "mediaPlanName": "name", "type": "inline", "dspCampaignId": "124dd", "dspName": "Appnexus", "mediaPlanDetails": [ { "placementName": "p1", "dimension": "320x50", "externalPlacementId": "asd123fg" }, { "placementName": "p2", "dimension": "320x600", "externalPlacementId": "zxc987vb" } ]}Media Plan Update
This will update the retail media plan.
Parameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | string | Mandatory | path | ID of the advertiser account created on the platform. |
| mediaPlanId | string | Mandatory | path | ID of the media plan associated with a given user account. |
Sample Request
HTTP
PUT http://demo.stub.api.jivox.com/v2/accounts/<accountId>/media-plans/<mediaPlanId>Request Body
JSON
{ "mediaPlanName": "name", "type": "inline", "dspCampaignId": 1234, "dspName": "DSP 1", "mediaPlanDetails": [ { "placementName": "p1", "dimension": "320x50", "externalPlacementId": "asd123fg" }, { "placementName": "p2", "dimension": "320x600", "externalPlacementId": "asd123fh" } ], "deletedPlacements": [ "p3", "p4" ]}Media Plan Delete
This will delete a specific retail media plan.
Parameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | string | Mandatory | path | ID of the advertiser account created on the platform. |
| mediaPlanId | string | Mandatory | path | ID of the media plan associated with a given user account. |
Sample Request
HTTP
DELETE http://demo.stub.api.jivox.com/v2/accounts/<accountId>/media-plans/<mediaPlanId>Sample Response
JSON
{ "mediaPlanId": 1234, "msg": "Media-plan deleted successfully"}DSP Listing
This will list the DSPs whitelisted for a retailer organization.
Parameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | string | Mandatory | path | ID of the advertiser account created on the platform. |
Sample Request
HTTP
GET http://demo.stub.api.jivox.com/v2/accounts/<accountId>/retail-media-channel/listRequest Body
JSON
{ "mediaChannels": [ { "adServerId": "Amazon", "adServerName": "Amazon", "type": "On-site", "status": "Enabled" }, { "adServerId": "Amazon", "adServerName": "Amazon", "type": "Off-site", "status": "Enabled" },, { "adServerId": "Amazon", "adServerName": "Amazon", "type": "On-site", "status": "Enabled" }, ]}Ad Dimensions Listing
This will list the whitelisted ad dimensions for the account (derived from the associated org).
Parameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | string | Mandatory | path | ID of the advertiser account created on the platform. |
Sample Request
HTTP
GET http://demo.stub.api.jivox.com/v2/accounts/<accountId>/ad-dimensionsRequest Body
JSON
{ "dimensions": [ "300x600", "300x250" ]}Type to search, ESC to discard
Type to search, ESC to discard
Type to search, ESC to discard
Last updated on
Was this page helpful?
Discard Changes
Do you want to discard your current changes and overwrite with the template?
Archive Synced Block
Message
Create new Template
What is this template's title?
Delete Template
Message